#include "HelpBox.h"

#include <vector>
#include <string>
using namespace std;

HelpBox::HelpBox()
{
  helpReference="NULL_INDEX";
  graphicFrame="NULL_INDEX";
  fmt.clear();
}

HelpBox::~HelpBox()
{
}


const string & HelpBox::getGraphicFrame()
{
  return graphicFrame;
}

void HelpBox::setGraphicFrame (const string & gf)
{
  graphicFrame=gf;
}


void HelpBox::pushFormattedText (FormattedText & f)
{
  fmt.push_back(f);
}

vector <FormattedText> & HelpBox::getFormattedText()
{
  return fmt;
}


const string & HelpBox::getHelpReference ()
{
  return helpReference;
}

void HelpBox::setHelpReference (const string & ref)
{
  helpReference = ref;
}


void HelpBox::setGraphicHighlightFontColor (uint8_t r, uint8_t g, uint8_t b)
{
  colR=r;
  colG=g;
  colB=b;
}

uint8_t HelpBox::getGraphicHighlightFontColorR()
{
  return colR;
}

uint8_t HelpBox::getGraphicHighlightFontColorG()
{
  return colG;
}

uint8_t HelpBox::getGraphicHighlightFontColorB()
{
  return colB;
}


void HelpBox::setGraphicTransformation (GraphicTransformation & g)
{
  gt=g;
}

GraphicTransformation & HelpBox::getGraphicTransformation ()
{
  return gt;
}

void HelpBox::setPosition (int a, int b)
{
  x=a;
  y=b;
}

int HelpBox::getPositionX()
{
  return x;
}

int HelpBox::getPositionY()
{
  return y;
}

void HelpBox::setDimensions (int a, int b)
{
  w=a;
  h=b;
}

int HelpBox::getWidth()
{
  return w;
}

int HelpBox::getHeight()
{
  return h;
}
